using System;
using Services.Interfaces;

namespace Services {
    public class ScoreService : IScoreService {
        private int score;
        public int Score => this.score;
        public event Action<int> OnScoreChanged;
        public void AddScore(int value) {
            this.score += value;
            
            OnScoreChanged?.Invoke(this.score);
        }
    }
}